Bug 858618 - RSDL: missing method for removing VM from storage domain
RSDL: missing method for removing VM from storage domain
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Michael Pasternak
Jakub Libosvar
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 04:54 EDT by Jakub Libosvar
Modified: 2016-02-10 12:01 EST (History)
12 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Libosvar 2012-09-19 04:54:11 EDT
Description of problem:
In /api?rsdl is missing delete method for removing vm from given storage domain. I assume it leads to missing delete() method on instance of StorageDomainVM class in ovirtsdk.

Version-Release number of selected component (if applicable):
rhevm-restapi-3.1.0-16.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Take a look to api?rsdl and search for /api/storagedomains/{storagedomain:id}/vms/{vm:id} rel="delete"
or
1. try to remove vm from storage domain using ovirtsdk
  
Actual results:
(Pdb) type(vmObj)
<class 'ovirtsdk.infrastructure.brokers.StorageDomainVM'>
(Pdb) vmObj.delete()
*** AttributeError: 'VM' object has no attribute 'delete'
Comment 1 Ayal Baron 2012-09-19 05:19:24 EDT
This was deprecated in 3.1 seeing as a VM is no longer limited to a specific storage domain.

You need to go through /api/vms/...

Michael, why do we even have 'vms' under storage domains?
Comment 2 Michael Pasternak 2012-09-19 05:27:21 EDT
(In reply to comment #1)
> This was deprecated in 3.1 seeing as a VM is no longer limited to a specific
> storage domain.

jakub refers to export domain ...

> 
> You need to go through /api/vms/.
> 
> Michael, why do we even have 'vms' under storage domains?

cause otherwise you won't be able to import it (vms shown only under export domain)
Comment 3 Michael Pasternak 2012-10-02 16:50:59 EDT
http://gerrit.ovirt.org/#/c/8318/
Comment 4 Michael Pasternak 2012-10-03 06:02:47 EDT
https://gerrit.eng.lab.tlv.redhat.com/2433
Comment 5 Michael Pasternak 2012-10-03 06:47:25 EDT
same was true for template
Comment 7 Petr Dufek 2012-10-15 09:31:29 EDT
verified in si20

Note You need to log in before you can comment on or make changes to this bug.